%define name	brasero
%define version	0.7.1
%define svn	0
%define rel	1
%if %svn
%define release %mkrel 0.%svn.%rel
%else
%define release %mkrel %rel
%endif

Name: 	 	%{name}
Summary: 	A disc burning application for GNOME
Version: 	%{version}
Release: 	%{release}

%if %svn
Source0:	%{name}-%{svn}.tar.bz2
%else
Source0:	http://ftp.gnome.org/pub/gnome/sources/brasero/0.7/%{name}-%{version}.tar.gz
%endif
URL:		http://www.gnome.org/projects/brasero/
License:	GPLv2+
Group:		Archiving/Cd burning
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	libgnome-vfs2-devel
BuildRequires:	libnautilus-burn-devel
BuildRequires:	libgstreamer0.10-devel
BuildRequires:	libxml2-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	libbeagle-devel >= 0.2.5
BuildRequires:	totem-plparser-devel
BuildRequires:	libgdl-devel >= 0.6
BuildRequires:	libnotify-devel
BuildRequires:  desktop-file-utils
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:	libburn-devel
BuildRequires:	libisofs-devel
BuildRequires:	libgcrypt-devel
%if %svn
BuildRequires:	autoconf
BuildRequires:	gnome-common
BuildRequires:	intltool
%endif
Requires:	hal >= 0.5.0

Obsoletes:	bonfire
Provides:	bonfire

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Brasero is yet another CD / DVD writing application for the GNOME
desktop. It is designed to be as simple as possible and has some
unique features to enable users to create their discs easily and
quickly. It can handle both audio and data discs, and can use either
cdrkit or libburn / libisofs as the writing backend.

%prep
%if %svn
%setup -q -n %{name}
%else
%setup -q
%endif
# fix incorrect separator
sed -i -e 's,:,;,g' data/brasero.desktop.in.in
# glibc fixup
sed -i -e 's,SG_FLAG_LUN_INHIBIT,SG_FLAG_UNUSED_LUN_INHIBIT,g' src/scsi/scsi-command.c
sed -i -e 's,SG_FLAG_LUN_INHIBIT,SG_FLAG_UNUSED_LUN_INHIBIT,g' src/scsi/scsi-sg.c

%build
%if %svn
./autogen.sh
%endif
%configure2_5x --disable-schemas-install --disable-caches
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#menu
desktop-file-install \
  --remove-category="Application" \
  --remove-category="" \
  --remove-category="X-GNOME-Bugzilla-Bugzilla" \
  --remove-category="X-GNOME-Bugzilla-Product" \
  --remove-category="X-GNOME-Bugzilla-Component" \
  --add-category="DiscBurning" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf %{buildroot}

%define schemas %name

%post
%post_install_gconf_schemas %{schemas}
%update_menus
%update_desktop_database
%update_mime_database
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_menus
%clean_desktop_database
%clean_mime_database
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS NEWS README
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/brasero.1*
%{_datadir}/mime/packages/brasero.xml


%changelog
* Tue Jan 29 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.1-1mdv2008.0
+ Revision: 159857
- restore glibc workaround for backport

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.1-1mdv2008.1
+ Revision: 158932
- fix bogus : separator in .desktop file
- disable the glibc workaround, doesn't seem to be right any more
- new release 0.7.1

* Thu Dec 27 2007 Jérôme Soyer <saispo@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 138353
- New release 0.7.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not package big ChangeLog

* Fri Dec 07 2007 Funda Wang <fundawang@mandriva.org> 0.6.90-2mdv2008.1
+ Revision: 116123
- rebuild for new beagle

* Tue Nov 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.90-1mdv2008.1
+ Revision: 113509
- fix file list again
- fix file list
- drop both patches, merged upstream
- new release 0.6.90

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - fix buildrequires
    - fix desktop entry

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.6.1-7mdv2008.1
+ Revision: 109293
- rebuild for new lzma

* Mon Nov 05 2007 Funda Wang <fundawang@mandriva.org> 0.6.1-6mdv2008.1
+ Revision: 105956
- rebuild for new totem

* Fri Sep 28 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.1-5mdv2008.0
+ Revision: 93487
- add brasero-0.6.1-sectorsize.patch from upstream SVN to fix size calculation for audio and VCDs (so long audio and VCDs do not fail due to being 'too big')

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.1-4mdv2008.0
+ Revision: 91672
- adjust XDG categories (fix #33828)

* Wed Sep 19 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.1-3mdv2008.0
+ Revision: 90806
- Bump release to re-upload lost package

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.1-2mdv2008.0
+ Revision: 83451
- Fix release
- rebuild

* Sat Aug 25 2007 Funda Wang <fundawang@mandriva.org> 0.6.1-1mdv2008.0
+ Revision: 71294
- 0.6.1 stable

* Tue Aug 14 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.1-0.283.1mdv2008.0
+ Revision: 63486
- update to SVN rev 283 to fix an upstream booboo that was breaking compile
- correct category addition (no semi-colon when using desktop-file-install)
- correct license to GPLv2+
- update to latest 0.6 branch SVN: fixes for some important bugs

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-2mdv2008.0
+ Revision: 57171
- fix and improve description

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-1mdv2008.0
+ Revision: 57160
- buildrequires libgcrypt-devel
- fix for glibc 2.6 change to sg
- add patch0 to enable deprecated APIs (needed to build against GTK+ 2.11.6)
- update URL
- 0.6.0 final

* Tue Jul 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-0.245.1mdv2008.0
+ Revision: 47614
- update to current SVN; build against libburn and libisofs

  + Götz Waschk <waschk@mandriva.org>
    - fix script syntax

* Tue Apr 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.90-1mdv2008.0
+ Revision: 13611
- New release 0.5.90

